package masterInt.CandP.exo1;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;
import java.net.UnknownHostException;

public class Client {

    private final String host;

    private final int port;

    public Client(String serverHost, int serverPort) 
    {
        this.host = serverHost;
        this.port = serverPort;
    }

    public void execute() 
    {
        ...
    }

    public static void main(String[] args) 
    {
        if (args.length != 2) {
            System.err.println("usage: java " + Client.class.getCanonicalName()
                    + " serverHost serverPort");
            System.exit(1);
        }

        try {
            new Client(args[0], Integer.parseInt(args[1])).execute();
        } catch (NumberFormatException e) {
            throw new IllegalArgumentException("Invalid port number: "
                    + args[0]);
        }
    }

}
