package masterInt.CandP.exo2;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

public class MultithreadedServer 
{

    // port number to listen on
    private final int port;

    public MultithreadedServer(int port) 
    {
        this.port = port;
    }

    public void execute() 
    {
        ...
    }

    public static void main(String[] args) 
    {
        if (args.length != 1) {
            System.err.println("usage: java "
                    + MultithreadedServer.class.getCanonicalName()
                    + " serverPort");
            System.exit(1);
        }

        // On unix systems you can check that the server is running
        // by executing the following command:
        // lsof -Pi | grep 9999
        try {
            new MultithreadedServer(Integer.parseInt(args[0])).execute();
        } catch (NumberFormatException e) {
            throw new IllegalArgumentException("Invalid port number: "
                    + args[0]);
        }
    }

}
